
------- DEFAULT VALUES -------------------------------------------------------

-- set up default system configuration values
INSERT INTO SystemConfiguration (
        TopLinkString, 
        PortalName, 
        AdminEmail,
        NumClassesPerBrowsePage, 
        PasswordMailSubject, 
        PasswordMailBody,
        PasswordResetMailSubject, 
        PasswordResetMailBody,
        SearchTermsRequired,
        DefaultCharacterSet,
        LegalNotice,
        CurrentTheme
    ) VALUES (
        '', 
        'Online Resource Portal', 
        'webmaster@localhost', 
        80, 
        'New Account (X-USERNAME-X)',
        'Thank you for signing up on this online resource portal.  To\nactivate your new account, please click on the link below:\n\n    X-ACTIVATIONURL-X\n\nIf the link doesn\'t work you can also go to this address:\n\n    X-MANUALACTIVATIONURL-X\n\nAnd enter your user name and activation code:\n\n    Name:  X-USERNAME-X\n    Code:  X-ACTIVATIONCODE-X\n\nThank you!',
        'Change Password On X-PORTALNAME-X',
        'Someone (presumably you) has asked to change your password on X-PORTALNAME-X for the account X-USERNAME-X.\n\nTo change your password, please click on this link:\n\n  X-RESETURL-X\n\nIf that link doesn\'t work you can also go to this address:\n\n  X-MANUALRESETURL-X\n\nAnd enter your user name and password reset code:\n\n  Name:  X-USERNAME-X\n  Code:  X-RESETCODE-X\n\nYour password will remain the same until changed via one of the above links.\n\nFor reference, the password change request came from address X-IPADDRESS-X.',
        1,
        'UTF-8',
        'Sample Content Copyright 1999-2007 Internet Scout',
        'Theme--ArcticSilver'
    );
INSERT INTO UIStyleConfiguration (
        StyleName,
        PageCenterBackground, 
        PageSideBackground, 
        SPTTableHeaderBackground, 
        MDTTableHeaderBackground, 
        TableBodyBackground, 
        ForumDarkHeaderBackground, 
        ForumLightHeaderBackground, 
        ForumBodyBackground,
        NavBoxBackground,
        HomeBoxBackground
    ) VALUES (
        'SPTUI--Default',
        '#FFFFFF',
        '#EEEEEE',
        '#DDEEFF',
        '#DDFFDD',
        '#F5F5F5',
        '#000066',
        '#336699',
        '#EEEEEE',
        '#F8F8F8',
        '#F0F0F0'
    );

-- set up initial metadata field definitions (must match Resources table)

INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (1,'Title','Text','Name by which the resource is formally known. Title is used and displayed as a headline in the SPT. This field is a required field. Required fields may not be customized as to the field type or disabled. Required fields must be completed in each resource record. DCMI element.',1,1,0,1,NULL,1,1,0,30,100,NULL,NULL,'',NULL,NULL,'','','',NULL,5,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922144528,NULL,32,32);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (2,'Alternate Title','Text','This is a variant name by which resources may be known. It allows access when the exact title may impede retrieval and includes complete names/words abbreviated in the Title, commonly known name, or an associated text. DCMI recommended element refinement of Title.',0,1,1,1,NULL,1,0,0,30,100,NULL,NULL,'',NULL,NULL,'','','',NULL,3,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922145738,NULL,33,33);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (3,'Description','Paragraph','Text describing the scope, subject matter, and usefulness of the resource. Sometimes this field is also referred to as account of the content of the resource or an annotation. Description may include but is not limited to: an abstract, table of contents, reference to a graphical representation of content or a free-text account of the content. This is a required field. Required fields may not be customized as to the field type or disabled. Required fields must be completed in each resource record. DCMI element.',1,1,0,1,NULL,1,1,0,NULL,NULL,12,38,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150031,NULL,38,39);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (4,'Url','Text','The complete, current location or unique identifier of the resource. Because of the functionality of the domain limit, remember to always add the trailing slash after the domain. Portal administrators may make this a required field. Required fields must be completed in each resource record. DCMI element.',0,1,0,1,NULL,1,1,0,30,100,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922145738,NULL,34,34);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition,AuthoringPrivilege,EditingPrivilege) VALUES (5,'Release Flag','Flag','This internal administrative feature allows resource administrators to withhold record from public view and searching. Intended to provide a method for internal review and editing. The record will only be available for view by authorized resource editors and site administrator and is not available in the Advanced search. This is a required field. Required fields may not be customized as to the field type or disabled. In the Administration database editor feature, portal administrators may set the default value for this field.',1,1,0,0,NULL,0,0,0,NULL,NULL,NULL,NULL,'0',NULL,NULL,'OK for Viewing','Not OK for Viewing','',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922151138,NULL,53,55,7,7);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (6,'Source','Text','A Reference to a resource from which the present resource is derived. The present resource may be derived from the Source resource in whole or in part. Dublin Core Metadata Initiative recommended best practice is to reference the resource by means of a string or number conforming to a formal identification system. DCMI element.',0,1,1,1,NULL,0,1,0,30,100,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922145903,NULL,49,50);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (7,'Relation','Text','A reference to a related resource. Dublin Core Metadata Initiative recommended best practice is to reference the resource by means of a string or number conforming to a formal identification system. DCMI element.',0,1,1,1,NULL,0,1,0,30,100,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922145930,NULL,48,49);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (8,'Coverage','Text','The extent or scope of the content of the resource. Coverage will typically include spatial location (a place name or geographic coordinates), temporal period (a period label, date, or date range) or jurisdiction (such as a named administrative entity). Dublin Core Metadata Initiative recommended best practice is to select a value from a controlled vocabulary (for example, the Getty Thesaurus of Geographic Names) and that, where appropriate, named places or time periods be used in preference to numeric identifiers such as sets of coordinates or date ranges. DCMI element.',0,1,1,1,NULL,0,1,0,30,100,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150049,NULL,47,47);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (9,'Rights','Text','Information about rights held in and over the resource. Typically, a Rights element will contain a rights management statement for the resource, or reference a service providing such information. Rights information often encompasses Intellectual Property Rights, Copyright, and various Property Rights. DCMI element.',0,1,1,1,NULL,0,1,0,30,100,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150049,NULL,46,46);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (10,'Email Address','Text','The email address for contact of the creator, editor, site administrator, manager, information desk, user support agent, etc. or other entity responsible for answering questions and correspondence regarding the resource.',0,1,1,1,NULL,0,1,0,30,100,NULL,NULL,NULL,NULL,NULL,'','',NULL,NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,20030922145844,NULL,51,53);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (11,'Date Issued','Date','The year the resource being described was created, published, or otherwise made available. Records a date in a standard format. Users do not need to enter the date in this format. The software will translate a provided date into the standard format (YYYY-MM-DD). It is also possible to enter a partial date or an open ended (continuing) date or qualify the date in the case of uncertainty. For further examples see extended definitions. DCMI recommended element refinement for Date. ',0,1,1,1,NULL,0,0,0,10,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150035,NULL,40,41);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (12,'Date Of Record Creation','TimeStamp','Date the resource being described was entered into the database collection. This date must be entered in the YYYY-MM-DD format. The software automatically enters the current date if this field is left uncompleted.',0,1,0,1,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','','YYYY-MM-DD HH:MM:SS',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,16,20030922145450,NULL,54,56);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (13,'Date Record Checked','Date','Date the URL of the resource being described was determined to be accurate and adequately addressed by the cataloging record. This date may be entered in the same manner as described above in Date Issued definition. The software automatically enters the current date if this field is left uncompleted.',0,1,0,1,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','','YYYY-MM-DD HH:MM:SS',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,16,20030922145434,NULL,55,57);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (14,'Date Last Modified','TimeStamp','This is a time stamp recording the last time anything in a given resource record was altered. This date cannot be manually edited.',1,1,0,1,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,16,20030922145444,NULL,56,59);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (15,'Verification Attempts','Number','This field records the number of attempts a URL checking software has made to confirm the current the accuracy of the URL of the resource. By default this when the portal software is shipped, this field is disabled and does not appear visible anywhere throughout the portal. Administrators may at any time enable this field in the database editor in the portal Administration.',0,0,1,1,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,0,999,'','',NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,20030922150015,NULL,41,36);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (16,'Added By Id','User','System supplied field which records the account name of the person creating the resource record. This field cannot be directly edited. All resource editors login name with automatically appear as an option in the Metadata Tool search limits and on the full record display.',1,1,0,1,NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,0,9999999,'','',NULL,NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,20030922145444,NULL,57,60);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (17,'Last Modified By Id','User','System supplied field which records the account name of the person who last modified the resource record. This field cannot be directly edited. All resource editors login name with automatically appear as an option in the Metadata Tool search limits and on the full record display.',1,1,0,1,NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,0,9999999,'','',NULL,NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,20030922144644,NULL,58,61);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (18,'Cumulative Rating','Number','This field records the evaluative ratings given to a particular resource by portal users.',1,1,1,1,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,0,5,'','',NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,20030922145438,NULL,61,58);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (19,'Publisher','ControlledName','An entity responsible for making the resource available. Examples of a publisher include a person, an organization, or a service. Publishers are not necessarily the creators of the intellectual content of the resource, but they do claim some responsibility for the content. As with the Creator field (above), SPT Metadata Tool allows for a Controlled Name and a Variant Name. DCMI element.',0,1,1,1,NULL,1,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,3,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150028,NULL,37,38);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (20,'Creator','ControlledName','The personal, corporate, meeting/conference, etc. name(s) of the party(s) responsible for creation of resource content. Any work can have single, multiple, corporate, or personal creators. Personal creators are people. Some typical examples of corporate creators are associations, institutions, business firms, non-profit enterprises, governments, government agencies, projects, programs, religious bodies, church groups, and conferences. DCMI element.',0,1,1,1,NULL,1,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,3,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150013,NULL,35,35);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (21,'Contributor','ControlledName','An entity responsible for making contributions to the content of the resource. Examples of a Contributor include a person, an organization, or a service. This field also employs Controlled Names as described above in the definition for Creator. DCMI element.',0,1,1,1,NULL,1,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,3,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150018,NULL,36,37);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (22,'Subject','ControlledName','Terms or a nonhierarchical string of terms relating the resource\'s content. Recommended best practice is to select from a controlled vocabulary, Library of Congress Subject Headings, etc. DCMI element.',0,1,1,1,NULL,1,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,3,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922145844,NULL,50,52);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (23,'Resource Type','Option','The nature or genre of the content of the resource. Type includes terms describing general categories, functions, genres, or aggregation levels for content. When entering a resource record, the software allows for multiple values to be selected from this field. This field is used in the Advanced Search as a Limiter. The portal software allows for modifications and edits to these default values through the Edit Option Lists feature on the Metadata Tool navigation bar. This feature will not be visible to anyone without adequate permission. NOTE: The default values come from the working draft list of Dublin Core Types. Further, to describe the physical or digital manifestation of the resource, use the FORMAT element per Dublin Core definitions. DCMI element.',0,1,1,1,1,0,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',1,0,6,20030922150040,NULL,42,42);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (24,'Language','Option','A language of the intellectual content of the resource. The default values are selected from several commonly used major languages. The software allows for multiple values to be selected from this field. This field is used by the Advanced Search Engine as a Limiter. The portal software allows for modifications and edits to these default values through the Edit Option Lists feature on the Metadata Tool navigation bar. This feature will not be visible to anyone without adequate permission. DCMI element.',0,1,1,1,1,0,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150102,NULL,45,45);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (25,'Audience','Option','A category of user for whom the resource is intended. Frequently, creators and publishers of resources in education explicitly state the category of user for whom the resource is intended. In like fashion, end-users in the education/training domain frequently search using audience characteristics as search terms. The default values are drawn from the broadest educational category levels. The software allows for multiple values to be selected from this field. This field is used by the Advanced Search Engine as a Limiter. The portal software allows for modifications and edits to these default values through the Edit Option Lists feature on the Metadata Tool navigation bar. This feature will not be visible to anyone without adequate permission. DC-Education Working Group prosposed element.',0,1,1,1,1,0,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150102,NULL,44,44);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (26,'Format','Option','The physical or digital manifestation of the resource. Typically, Format may include the media-type or dimensions of the resource. Format may be used to determine the software, hardware or other equipment needed to display or operate the resource. Examples of dimensions include size and duration. The default values are selections from the list of Internet Media Types (MIME) defining computer media formats.  When entering a resource record, the software allows for multiple values to be selected from this field. This field is used by the Advanced Search Engine as a Limiter. The portal software allows for modifications and edits to these default values through the Edit Option Lists feature on the Metadata Tool navigation bar. This feature will not be visible to anyone without adequate permission. DCMI element.',0,1,1,1,1,0,1,0,NULL,NULL,NULL,NULL,'',NULL,NULL,'','','',NULL,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'',0,0,0,20030922150059,NULL,43,43);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (27,'Classification','Tree','The Metadata Tool allows the use an existing standard classification schema or your organization\'s homegrown taxonomy. Classification in the portal provides users with a way of browsing through the resources in hierarchical tiers. This approach guides users unfamiliar with terminology to appropriate resources descending in specificity from broadly defined to more precise.  Privilege to to build or edit the vocabulary or taxonomy of assifications requires authorization from the portal administrator.',1,1,1,1,NULL,1,1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','',NULL,NULL,3,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,20030922150035,NULL,39,40);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (28,'Screenshot','Still Image','Still, digital image or snapshot to be attached to a resource metadata record for illustration or other purposes. Acceptable file formats are .jpg, .bmp, and gif (depending on what is supported by the PHP version installed on your web server).',0,1,1,1,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','',NULL,NULL,3,0,768,576,100,100,50,50,'Screenshot',0,0,NULL,20030922145513,NULL,52,54);
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, Description, RequiredBySPT, Enabled, Optional, Viewable, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, IncludeInRecommender, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, DateFormatIsPerRecord, SearchWeight, RecommenderWeight, MaxHeight, MaxWidth, MaxPreviewHeight, MaxPreviewWidth, MaxThumbnailHeight, MaxThumbnailWidth, DefaultAltText, UsesQualifiers, HasItemLevelQualifiers, DefaultQualifier, DateLastModified, LastModifiedById, DisplayOrderPosition, EditingOrderPosition) VALUES (29,'Date Of Record Release','TimeStamp','Date the resource being described was released (Release Flag changed from Not Ok For Viewing to OK For Viewing). This date must be entered in the YYYY-MM-DD format. The software automatically enters the current date if this field is left uncompleted.',0,1,0,1,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','','YYYY-MM-DD HH:MM:SS',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,16,20030922145450,NULL,54,56);

INSERT INTO ControlledNames (ControlledNameId, ControlledName, FieldId) VALUES (1, 'Collection', 23),(2, 'Dataset',23), (3, 'Event',23), (4, 'Image', 23), (5, 'Interactive Resource', 23), (6, 'Service', 23), (7, 'Software', 23), (8, 'Sound', 23), (9, 'Text', 23);
INSERT INTO ControlledNames (ControlledNameId, ControlledName, FieldId) VALUES (10, 'Elementary',25), (11, 'Middle School', 25), (12, 'High School',25), (13, 'Undergraduate',25), (14, 'Graduate', 25), (15, 'Research',  25), (16, 'Lifelong Learner',25);
INSERT INTO ControlledNames (ControlledNameId, ControlledName, FieldId) VALUES (17, 'English',24),(18, 'Arabic',24), (19, 'Celtic',24),(20, 'Chinese',24),(21, 'Croatian',24),(22, 'Czech',24),(23, 'Danish',24),(24, 'Dutch',24),(25, 'Esperanto',24),(26, 'Finnish',24),(27, 'French',24),(28, 'German',24),(29, 'Hebrew',24),(30, 'Hungarian',24),(31, 'Icelandic',24),(32, 'Italian',24),(33, 'Korean',24),(34, 'Norwegian',24),(35, 'Persian',24),(36, 'Japanese',24),(37, 'Romanian',24),(38, 'Russian',24),(39, 'Spanish',24),(40, 'Swedish',24),(41, 'Thai',24),(42, 'Vietnamese',24);
INSERT INTO ControlledNames (ControlledNameId, ControlledName, FieldId) VALUES (43, 'plain', 26), (44, 'richtext', 26),(45, 'enriched',26), (46, 'tab-separated-values',26),(47, 'html',  26), (48, 'sgml',26),(49, 'css',26),(50, 'xml',26),(51, 'rtf',26),(52, 'directory',26),(53, 'calendar',26);

-- set up default RSS Export configuration options
INSERT INTO RSSConfiguration (EntriesToPublish, ChannelTitle,
            ChannelDescription, ImageUrl, ImageTitle, ImageLink, 
            ImageHeight, ImageWidth, ImageDescription, Language, Copyright, 
            ManagingEditor, Webmaster, PicsRating)
        VALUES(15, 'Online Resource Portal',
            'Channel Description', 'Image Url', 'Image Title', 'Image Link', 
            0, 0, 'Image Description', 'en-us', CONCAT('Copyright ', YEAR(NOW())),  
            'Managing Editor', 'Webmaster', '');

-- set up initial administrator login
INSERT INTO APUsers (UserName, UserPassword, CreationDate) 
        VALUES ('sptadmin', '/KfRBIL.TPL7A', NOW());
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 1);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 2);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 3);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 4);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 5);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 6);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 7);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 8);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 9);
INSERT INTO APUserPrivileges (UserId, Privilege) VALUES (1, 10);

-- set up initial announcements
INSERT INTO Announcements (AnnouncementId, AnnouncementHeading, AnnouncementText, DatePosted, PosterId) VALUES (1, 'Welcome', 'Welcome to your new online resource portal!  You may want to add some welcome text here.', NOW(), 1);
INSERT INTO Announcements (AnnouncementId, AnnouncementHeading, AnnouncementText, DatePosted, PosterId) VALUES (2, 'News', 'News and announcements can also go in this area.', NOW(), 1);

-- set up OAI data
INSERT INTO OAIFormats SET FormatName = "oai_dc", TagName = "oai_dc:dc", SchemaLocation = "http://www.openarchives.org/OAI/2.0/oai_dc/ http://www.openarchives.org/OAI/2.0/oai_dc.xsd";

INSERT INTO OAIFormatNamespaces SET FormatId = "1", NamespaceName = "oai_dc", NamespaceURI = "http://www.openarchives.org/OAI/2.0/oai_dc/";
INSERT INTO OAIFormatNamespaces SET FormatId = "1", NamespaceName = "dc", NamespaceURI = "http://purl.org/dc/elements/1.1/";

INSERT INTO OAIFieldMappings VALUES ('oai_dc',1,'dc:title');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',1,'dc:title');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',2,'dc:title');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',2,'dct:alternative');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',3,'dc:description');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',3,'dc:description');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',4,'dc:identifier');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',4,'dc:identifier');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',6,'dc:source');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',6,'dc:source');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',7,'dc:relation');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',7,'dc:relation');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',8,'dc:coverage');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',8,'dc:coverage');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',9,'dc:rights');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',9,'dc:rights');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',11,'dc:date');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',11,'dct:issued');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',19,'dc:publisher');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',19,'dc:publisher');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',20,'dc:creator');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',20,'dc:creator');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',21,'dc:contributor');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',21,'dc:contributor');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',22,'dc:subject');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',22,'dc:subject');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',23,'dc:type');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',23,'dc:type');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',24,'dc:language');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',24,'dc:language');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',25,'dct:audience');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',26,'dc:format');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',26,'dc:format');
INSERT INTO OAIFieldMappings VALUES ('oai_dc',27,'dc:subject');
INSERT INTO OAIFieldMappings VALUES ('nsdl_dc',27,'dc:subject');
